Valentines Day
Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Lua Player version 0.20

                  
   
  1. #1
    Won Hung Lo wraggster's Avatar
    Join Date
    Apr 2003
    Location
    Nottingham, England
    Age
    48
    Posts
    128,413
    Blog Entries
    3209
    Rep Power
    50

    psp Lua Player version 0.20

    Shine has released a new version of Lua Player for the PSP, heres the release info:

    On http://www.luaplayer.org you can get the new version 0.20. It is updated to Lua 5.1, there are some bugfixes and a new function for loading images from memory. I'll try to add pspgl the next week.

    The changelog:

    v0.20
    ==========

    updated for gcc 4.1 and Lua 5.1. Some things you need to change for 5.1:

    change table iteration code: "for i, value in someTable do" to "for i, value in ipairs(someTable) do" (but use "pairs" for tables like "t={foo=bar, foobar=99}" and "ipairs" for tables like "t={foo, bar}")

    it's pure Lua 5.1: no binary operators and double as number type (e.g. now you can use one number for storing IP addresses)

    Sound.load doesn't crash any more on invalid filenames

    fixed problems with daylight saving time

    Font:getTextSize fixed.

    blit operation from screen to image works now,

    and now you have an "image" with the text "hello"

    TTF font plotting to images now sets the alpha value to opaque, so you can write e.g. something like this for buffering texts in images

    new function Image.loadFromMemory for loading images from memory:

    PNG and JPEG is supported and autodetected

    image-to-image blitting now uses alpha full blending [Callum Bethune]

    System.rename(oldName, newName) for renaming files and directories

    Download and Give Feedback Via Comments


    Thanks to Limpopokanoah for tipping me the news

  2. #2
    Won Hung Lo wraggster's Avatar
    Join Date
    Apr 2003
    Location
    Nottingham, England
    Age
    48
    Posts
    128,413
    Blog Entries
    3209
    Rep Power
    50

    Default

    test

  3. #3
    DCEmu Newbie
    Join Date
    Feb 2006
    Posts
    21
    Rep Power
    0

    Default

    Is this version compatible with 2.01+?

  4. #4
    DCEmu Regular luis_05's Avatar
    Join Date
    Mar 2006
    Location
    LA
    Age
    34
    Posts
    292
    Rep Power
    51

    Default

    no it doesnt!! :-( i tried it on my psp fw 2.01 and it jsut crashed :-( i guess were still stuck with v0.16

  5. #5
    DCEmu Regular StealthCP's Avatar
    Join Date
    Jan 2006
    Location
    Coleraine, NI (UK)
    Age
    29
    Posts
    353
    Rep Power
    52

    Default

    Nice release, but I'm wondering why they won't try and keep compatibility for 2.01+ users? It seems a shame that they miss out.

  6. #6
    samirsami
    Guest

    Default

    hate isos cause you're in a rich country.people who live in third world often have no choice

  7. #7
    DCEmu Newsposter Vega's Avatar
    Join Date
    Mar 2006
    Location
    N.Ireland
    Age
    37
    Posts
    1,063
    Rep Power
    54

    Default

    Quote Originally Posted by samirsami View Post
    hate isos cause you're in a rich country.people who live in third world often have no choice
    :rofl:
    sorry.. just found this funny

    Click on the sig above to visit The Playground

  8. #8
    CONSOLE HOARDER VampDude's Avatar
    Join Date
    Aug 2006
    Location
    Seinan Eikoku
    Posts
    5,500
    Blog Entries
    4
    Rep Power
    115

    Default

    Quote Originally Posted by samirsami View Post
    hate isos cause you're in a rich country.people who live in third world often have no choice
    Quote Originally Posted by Vega View Post
    :rofl:
    sorry.. just found this funny
    lmao

  9. #9
    PSP User LAMPRO's Avatar
    Join Date
    Jan 2006
    Location
    NYC, USA
    Posts
    410
    Rep Power
    51

    Default

    Quote Originally Posted by VampDude View Post
    lmao
    haa. me2.

    back to the topic-i get ascrene sayin need to resart press x, then loops this endless. home button only and then xmb. so. no go.im stayin w lua .18

  10. #10

    Default

    Hmm ive been having problems opening the archive i cant extract it it juts says unexpected end of archive or file is invalid or corrupted (Strange)

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •